pango-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque Used to represent an iterator through a . A new iterator is created with . Once the iterator is created, it can be advanced through the style changes in the text using . At each style change, the range of the current style segment and the attributes currently in effect can be queried.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  Pango.Attribute[] Gets a list all attributes a the current position of the iterator. a a list of all attributes for the current range.
- Method
  2.12.0.0
  Pango.AttrIterator Make a copy of the iterator. a
- Method
  2.12.0.0
  System.Obsolete("Pango.AttrIterator is now freed automatically")
  System.Void Destroy a and free all associated memory.
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  Pango.Attribute `` the type of attribute to find. Find the current attribute of a particular type at the iterator location. the current attribute of the given type, or if no attribute of that type applies to the current location. When multiple attributes of the same type overlap, the attribute whose range starts closest to the current location is used.
- Method
  2.12.0.0
  System.Void `` `` `` a to fill in with the current values. The family name in this structure will be set using using values from an attribute in the associated with the iterator, so if you plan to keep it around, you must call: . if non-, location to store language tag for item, or if non is found. if non-, location in which to store a list of non-font attributes at the the current position; only the highest priority value of each attribute will be added to this list. Get the font and other attributes at the current iterator position.
- Method
  2.12.0.0
  System.Boolean Advance the iterator until the next change of style. if the iterator is at the end of the list, otherwise
- Method
  2.12.0.0
  System.Void `` `` location to store the start of the range location to store the end of the range Get the range of the current segment.